Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001214Frama-CPlug-in > Evapublic2012-06-18 16:562014-02-12 16:58
ReporterAnne 
Assigned Toyakobowski 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001214: FRAMA_C_MALLOC_INFINITE not used in stdlib.c
Description#define FRAMA_C_MALLOC_INFINITE
#include "stdlib.c"

doesn't do what is expected since stdlib.c begins with :

#ifndef FRAMA_C_MALLOC_HEAP
#ifndef FRAMA_C_MALLOC_CHUNKS
#ifndef FRAMA_C_MALLOC_INDIVIDUAL
#ifndef FRAMA_C_MALLOC_POSITION
#define FRAMA_C_MALLOC_HEAP

so it ends up with FRAMA_C_MALLOC_HEAP instead. Is this on purpose ?

PS. I select [Kernel] category because I don't know where else to put it...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003162)
yakobowski (manager)
2012-06-18 17:06

Those implementations are only useful to Value for the moment.
(0003172)
yakobowski (manager)
2012-06-19 14:45

This is a bug, the first line should be
#ifndef FRAMA_C_MALLOC_INFINITE

Notice that FRAMA_C_MALLOC_INFINITE will no longer allocate an infinite memories (only very big ones).
(0004654)
yakobowski (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-06-18 16:56 Anne New Issue
2012-06-18 17:06 yakobowski Note Added: 0003162
2012-06-18 17:06 yakobowski Category Kernel => Plug-in > value analysis
2012-06-19 14:45 yakobowski Note Added: 0003172
2012-06-19 14:45 yakobowski Assigned To => yakobowski
2012-06-19 14:45 yakobowski Status new => assigned
2012-06-19 14:45 svn Checkin
2012-06-19 14:45 svn Status assigned => resolved
2012-06-19 14:45 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 yakobowski Note Added: 0004654
2014-02-12 16:58 yakobowski Status closed => resolved
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker